Skip to main content
PUT
/
auto
/
agent
/
{id}
Update Agent
curl --request PUT \
  --url https://api.simli.ai/auto/agent/{id} \
  --header 'Content-Type: application/json' \
  --header 'x-simli-api-key: <api-key>' \
  --data '
{
  "face_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "first_message": "<string>",
  "prompt": "<string>",
  "voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "voice_model": "sonic-english",
  "llm_model": "gpt-4o-mini",
  "llm_endpoint": "https://api.example.com/v1/chat/completions",
  "language": "<string>",
  "emotion": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "max_idle_time": 123,
  "max_session_length": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
'
import requests

url = "https://api.simli.ai/auto/agent/{id}"

payload = {
"face_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"first_message": "<string>",
"prompt": "<string>",
"voice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"voice_model": "sonic-english",
"llm_model": "gpt-4o-mini",
"llm_endpoint": "https://api.example.com/v1/chat/completions",
"language": "<string>",
"emotion": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"max_idle_time": 123,
"max_session_length": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"x-simli-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'x-simli-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
face_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
first_message: '<string>',
prompt: '<string>',
voice_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
voice_model: 'sonic-english',
llm_model: 'gpt-4o-mini',
llm_endpoint: 'https://api.example.com/v1/chat/completions',
language: '<string>',
emotion: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
max_idle_time: 123,
max_session_length: 123,
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};

fetch('https://api.simli.ai/auto/agent/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-simli-api-key
string
header
required

Path Parameters

id
string<uuid>
required

Body

application/json
face_id
string<uuid>
name
string
first_message
string
prompt
string
voice_provider
enum<string>
Available options:
elevenlabs,
cartesia
voice_id
string<uuid>
voice_model
string
Example:

"sonic-english"

llm_model
string
Example:

"gpt-4o-mini"

llm_endpoint
string

The URL of the custom LLM to use

Example:

"https://api.example.com/v1/chat/completions"

language
string
emotion
string<uuid>
max_idle_time
integer
max_session_length
integer
llm_provider
enum<string>

The provider of the LLM used by the agent

Available options:
openai,
google,
user
created_at
string<date-time>

Timestamp when the agent was created

updated_at
string<date-time>

Timestamp when the agent was updated

Response

Agent updated successfully